Assistance et téléchargements

Téléchargements


LightScribe Labeler
Postés : 5 octobre 2009
New Features for Mac

- Fixes issues with OS X 10.6
- Universal Binary
- Multi-drive LightScribe printing: now you can print the same design on multiple LightScribe CD or DVD at the same time, using several LightScribe drives connected to your Mac
- localized versions in English, French, Italian, German, Spanish and Japanese
- Minor bugs fixed (more details in the “read me” file)


Important! Please make sure that you update your LightScribe host software to the latest version before installing the LaCie LightScribe Labeler 1.2.2 Updater or Installer.

Minimum system requirement: Mac OS 10.3.9.

For more on LightScribe, please visit our LightScribe Support page (link) .


Updater

Download Mac Updater
The original application must already be installed in the Applications folder of your active system drive. Restart, then run the Updater application to update to version 1.2.2 .

New! Installer

Now you can download the LaCie LightScribe Labeler Installer for free if original application isn’t already installed in the Applications folder of your active system drive.



ID 10061

   
Enregistrez vos produits
Téléchargements
Remplir Ticket d’Assistance
Contactez Nous